> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish Call Connect Session

> Finish an existing Call Connect authentication session.



## OpenAPI

````yaml call-connect-api POST /call/finish
openapi: 3.1.0
info:
  description: Authsignal's Call Connect API.
  version: 1.0.0
  title: Call Connect API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://us-connect.authsignal.com
  - url: https://au-connect.api.authsignal.com
  - url: https://eu-connect.api.authsignal.com
  - url: https://ca-connect.api.authsignal.com
security:
  - basicAuth: []
tags:
  - name: call-connect-api
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /call/finish:
    post:
      tags:
        - call-connect-api
      summary: Finish a Call Connect authentication session.
      description: Finish an existing Call Connect authentication session.
      operationId: finishCallConnectSession
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - referenceId
                - state
              properties:
                referenceId:
                  type: string
                  description: >-
                    A reference identifier originating from customer
                    experience/IVR system. This could be the call session ID.
                userId:
                  type: string
                  description: The primary identifier for the user stored in Authsignal.
                state:
                  type: string
                  description: The state of the call connect session.
                  enum:
                    - CHALLENGE_SUCCEEDED
                    - CHALLENGE_FAILED
                payload:
                  type: object
                  description: Any metadata that you want to pass along to the webhook.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '400':
          $ref: '#/components/responses/InvalidRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    InvalidRequest:
      description: Invalid Request
      content:
        application/json:
          schema:
            $ref: d8176610-0245-4d75-a32b-3a98bbdd996b
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: d8176610-0245-4d75-a32b-3a98bbdd996b
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Call Connect API secret key as the username and leave the
        password empty. The secret key can be found in the Call Connect section
        of the Authsignal Portal settings.

````